Subject: Re: bug#13299: 24.3.50; Tramp adb and device not found

From: [email-masked]
Date: Tue, 05 Feb 2013 18:32:57 -0500

Michael Albinus <[email-masked]> writes:
Hi Michael,

> [email-masked] writes:
>
>> Hi Michael,
>
> Hi,
>
>> Sill having the same problems with Bzr revision: 111604.
>>
>> I have to kill adb from the command line in order to get Emacs to
>> respond.
>>
>> Killing adb and then ^X^F/adb::/? a times finally gets Emacs to
>> list the files.  But a subsequent ^X^F/adb::/? gets back to the
>> same problem.
>
> It would be great, if you could set `tramp-verbose' to 6 first. The
> resulting debug buffer could show us, where Tramp is hangigng.

Here are the contents of the "*debug tramp/adb *" with `
`(setq tramp-verbose 6)' WITHOUT the Android device connected to
Windows:

;; GNU Emacs: 24.3.50.1 Tramp: 2.2.7-pre -*- mode: outline; -*-
18:03:45.471000 tramp-file-name-handler (1) # Interrupt received in operation (file-name-all-completions  /adb::/)

You don't see this until you type ^G (keyboard-quit) and kill the
adb process from outside of Emacs.  Until then, Emacs just shows in the
echo area:

            Making completion list...

and appears "frozen" with numerous ^G having no effect.

After killing adb (and then getting the above message in the
"*debug tramp/adb *"), you then see in the echo area:

Find file: ~//adb::/

Typing ? then creates a new adb process ("adb devices") which when
it completes, creates a "adb fork-server server" process.

Emacs again is "frozen" with "Making completion list...".

Typing ^G and then killing adb from outside of Emacs, then yields in
the "*debug tramp/adb *" buffer:

18:07:03.424000 tramp-file-name-handler (1) # Interrupt received in operation (file-name-all-completions  /adb::/)
18:07:03.425000 tramp-file-name-handler (1) # Interrupt received in
operation (file-name-completion  /adb::/ file-exists-p)

>
>> (Of course, eventually getting it to works only happens if the
>> drivers are loaded first.  Without the drivers, Emacs just locks up
>> until adb is killed -- ^G or ^G^G^G doesn't work).
>
> Which "drivers" are you speaking about? Sorry, I'm not an experienced
> ADK user.

These are the Android USB drivers.

Before any of my testing, I restore/roolback the system to the state
in which I am using the drivers that came with Windows.

> Best regards, Michael.